@echo off
REM 
echo.
echo Applying patch 5.2-TIV-WTP-0013

@call stopAgent.cmd
echo The Tivoli TransPerf Service might take some time to stop.  Waiting...
SLEEP 60
IF "%1"=="UNINSTALL" GOTO CONTINUE
IF "%1" NEQ "" GOTO USAGE

:CONTINUE
REM Note that the following call will pass the UNINSTALL parameter as argument.
@call applyPatch.cmd playback.dll 5.2-TIV-WTP-0013 %1
IF %ERRORLEVEL% GTR 0 GOTO SYSTEMERROR
IF %LOCALERRORLEVEL% GTR 0 GOTO SCRIPTERROR
IF %ERRORLEVEL% GTR 0 GOTO ERROR
IF %LOCALERRORLEVEL% GTR 0 GOTO ERROR
REM **** IEListener.dll ****
@call regcomsvr.cmd IEListener.dll UNREGISTER
IF %ERRORLEVEL% GTR 0 GOTO SYSTEMERROR
IF %LOCALERRORLEVEL% GTR 0 GOTO SCRIPTERROR
IF %ERRORLEVEL% GTR 0 GOTO ERROR
IF %LOCALERRORLEVEL% GTR 0 GOTO ERROR

@call applyPatch.cmd IEListener.dll 5.2-TIV-WTP-0013 %1
IF %ERRORLEVEL% GTR 0 GOTO SYSTEMERROR
IF %LOCALERRORLEVEL% GTR 0 GOTO SCRIPTERROR
IF %ERRORLEVEL% GTR 0 GOTO ERROR
IF %LOCALERRORLEVEL% GTR 0 GOTO ERROR

@call regcomsvr.cmd IEListener.dll REGISTER
IF %ERRORLEVEL% GTR 0 GOTO SYSTEMERROR
IF %LOCALERRORLEVEL% GTR 0 GOTO SCRIPTERROR
IF %ERRORLEVEL% GTR 0 GOTO ERROR
IF %LOCALERRORLEVEL% GTR 0 GOTO ERROR

@call applyPatch.cmd jmxservice.exe 5.2-TIV-WTP-0013 %1 sti.jar ..\..\app\sti\lib
IF %ERRORLEVEL% GTR 0 GOTO SYSTEMERROR
IF %LOCALERRORLEVEL% GTR 0 GOTO SCRIPTERROR
IF %ERRORLEVEL% GTR 0 GOTO ERROR
IF %LOCALERRORLEVEL% GTR 0 GOTO ERROR

@call startAgent.cmd
IF %ERRORLEVEL% GTR 0 GOTO SYSTEMERROR
IF %LOCALERRORLEVEL% GTR 0 GOTO SCRIPTERROR
GOTO FIN

:USAGE
echo.
echo Usage: 5.2-TIV-WTP-0013 [UNINSTALL]
GOTO FIN

:SCRIPTERROR
echo Failed to apply the patch due to an script detected error. LOCALERRORLEVEL=%LOCALERRORLEVEL%
GOTO FIN

:SYSTEMERROR
echo Failed to apply the patch due to a system error. ERRORLEVEL=%ERRORLEVEL%
GOTO FIN

:FIN
